Package edu.wisc.game.sql

## Class MlcLog

- java.lang.Object
- - edu.wisc.game.sql.MlcLog

-     public class MlcLog
      extends Object

  An auxiliary class used by the Captive Game Server for the optional logging of MLC run results. The log files so produced can be later imported by MclUploadService.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MlcLog.LogFormat` | Supported log file formats

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `MlcLog.LogFormat` | `format` |
    `String` | `nickname` |
    `String` | `rule_name` |
    `int` | `run` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MlcLog​(File _f, boolean _append)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `logEpisode​(Episode e, int boardNo)` | Computes the ratios etc and writes the entry for a specified episode
    `void` | `open()` | Opens the file for writing (or appending) and writes the header line if necessary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nickname

          public String nickname

    - #### rule_name

          public String rule_name

    - #### format

          public MlcLog.LogFormat format

    - #### run

          public int run

  - ### Constructor Detail

    - #### MlcLog

          public MlcLog​(File _f,
                        boolean _append)

  - ### Method Detail

    - #### open

          public void open()
                    throws IOException

      Opens the file for writing (or appending) and writes the header line if necessary.
      Throws:
        `IOException`

    - #### close

          public void close()

    - #### logEpisode

          public void logEpisode​(Episode e,
                                 int boardNo)

      Computes the ratios etc and writes the entry for a specified episode
      Parameters:
        `boardNo` - Sequential number (0-based) of the episode in the series (run)